Bootstrapper (classworlds 1.0-rc1 API)
Keywords: com.werken.classworlds.boot.Bootstrapper,Bootstrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.werken.classworlds.boot
Class Bootstrapper

    java.lang.Object
      |
      +--com.werken.classworlds.boot.Bootstrapper

public class Bootstrapper
extends java.lang.Object

Bootstrapping entry-point.

The `Bootstrapper` is to be used for standalone jars which carry all dependency jars within them. The layout for the dependency jar should be similar to:

        myjar/
              classworlds.conf
              com/
                  werken/
                         classworlds/
                                     boot/
                                     protocol/
              lib/
                  myapp.jar
                  depOne.jar
                  depTwo.jar

Version:
  $Id: Bootstrapper.java,v 1.3 2002/12/17 03:16:29 bob Exp $
Author:
  Jason van Zyl, bob mcwhirter

Field Summary
`static java.lang.String` | `LAUNCHER_CLASS_NAME` Main classworlds entry class.

Constructor Summary
`Bootstrapper(java.lang.String[] args)` Construct.

Method Summary
`void` | `bootstrap()` Perform bootstrap.
`protected java.lang.ClassLoader` | `getInitialClassLoader()` Retrieve the initial bootstrapping `ClassLoader`.
`static void` | `main(java.lang.String[] args)` Main entry-point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAUNCHER_CLASS_NAME

    public static final java.lang.String LAUNCHER_CLASS_NAME

  Main classworlds entry class.

  See Also:
    Constant Field Values

Constructor Detail

### Bootstrapper

    public Bootstrapper(java.lang.String[] args)
                 throws java.lang.Exception

  Construct.

Parameters:
  `args` - Command-line arguments.
Throws:
  `java.lang.Exception` - If an error occurs attempting to perform bootstrap initialization.

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main entry-point.

  Parameters:
    `args` - Command-line arguments.
  Throws:
    `java.lang.Exception` - If an error occurs.

### getInitialClassLoader

    protected java.lang.ClassLoader getInitialClassLoader()

  Retrieve the initial bootstrapping `ClassLoader`.

  Returns:
    The classloader.

### bootstrap

    public void bootstrap()
                   throws java.lang.Exception

  Perform bootstrap.

  Throws:
    `java.lang.Exception` - If an error occurs while bootstrapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 The Werken Company. All Rights Reserved.